from fastapi import APIRouter, status
from pydantic import BaseModel

from schemas.contact_form import ContactFormCreate
from helpers.contact_form_helpers import create_contact_form

router = APIRouter()

class ContactFormResponse(BaseModel):
    id: int
    name: str
    email: str
    message: str

@router.post("/contact-us", status_code=status.HTTP_201_CREATED, response_model=ContactFormResponse)
async def create_contact_form_endpoint(form_data: ContactFormCreate):
    new_form = create_contact_form(form_data)
    return new_form